Opened 4 years ago

Last modified 4 years ago

#3955 closed change

Set required ABP version properly when exporting filter lists with CSS property filters — at Version 2

Reported by: trev Assignee: trev
Priority: P2 Milestone: Adblock-Plus-2.7.3-for-Firefox
Module: Adblock-Plus-for-Firefox Keywords:
Cc: Blocked By:
Blocking: Platform: Unknown / Cross platform
Ready: yes Confidential: no
Tester: Ross Verified working: yes
Review URL(s):

https://codereview.adblockplus.org/29340533/

Description (last modified by trev)

Background

Adblock Plus 2.7.3 for Firefox supports CSS property filters, the filter export functionality doesn't consider this yet.

What to change

Set required ABP version in header to 2.7.3 if CSS property filters are present in the list.

Hints for testers

This is about the Backup functionality in Filter Preferences (Ctrl/Cmd+E). When exporting you have to select "Custom filters only" as type, this will save a .txt file. The header of this file is something like [Adblock Plus 2.0] - this indicates that minimal required version is 2.0. It should be 2.7.3 if you have a custom CSS property filter.

Change History (2)

comment:1 Changed 4 years ago by trev

  • Review URL(s) modified (diff)
  • Status changed from new to reviewing

comment:2 Changed 4 years ago by trev

  • Description modified (diff)
Note: See TracTickets for help on using tickets.